Subject: [Ietf-calsify] radical simplification, too

From: nsb at guppylake.com (Nathaniel Borenstein)
Date: Thu Mar 10 09:50:11 2005

+1.  And given the inherent tendency of humans to get confused over 
time zones, a sophisticated implementation might actually use this to 
double-check, and raise a red flag when it believes that the two 
specifications are not, in fact, identical.  -- Nathaniel

On Feb 14, 2005, at 3:16 PM, Doug Royer wrote:

>
> Another idea is that we make a new parameter (say R-FYI) that *if*
> set to true in an RRULE property means that the RDATE's should
> be used and that RRULE is just FYI. So you could say in effect,
> and the ORGANIZER wants to convey the fact that the meeting is
> weekly, but look at the RDATE's for the real instance times.
>
> Now we can keep the organizers intent when implementations care,
> and for those that do not care, here are the real instance
> times in RDATEs.
>
> Preston Stephenson wrote:
>> Just a few comments.
>> It would be nice to have a list of iCal properties that were defined 
>> explicitly.
>> Be it an iCal lite or an iCal best practices.
>> If we could come to a consensus of what they were,
>> I would be more willing to make the project I work on fit into that 
>> consensus.
>> If we get into the more difficult ones such as rrule,
>> I'm constrained by the architecture of our application.
>> I'm limited to fanning out the recurrence rule to a reasonable number 
>> of occurrences in the future.
>> It would nice to support infinite occurring rules, but I don't see it 
>> happening anytime soon.
>> All I'm saying is if rrule was part of the iCal basic, I could only 
>> support it with certain restrictions.
>> It would be nice to have a set of iCal properties that could be 
>> supported in all cases.
>> Thanks.
>> Preston
>> _______________________________________________
>> Ietf-calsify mailing list
>> [email-masked]
>> http://lists.osafoundation.org/mailman/listinfo/ietf-calsify
>
> -- 
>
> Doug Royer                     | http://INET-Consulting.com
> -------------------------------|-----------------------------
>
>               We Do Standards - You Need Standards
>
> <Doug.vcf>_______________________________________________
> Ietf-calsify mailing list
> [email-masked]
> http://lists.osafoundation.org/mailman/listinfo/ietf-calsify